- name: Install brave browser
  hosts: localhost
  gather_facts: true
  become: true

  tasks:
    - name: install dnf plugins
      ansible.builtin.dnf:
        name: dnf-plugins-core
        state: present
    - name: add brave repository
      ansible.builtin.yum_repository:
        name: vagrant-repo
        description: vagrant repo
        baseurl: https://rpm.releases.hashicorp.com/fedora/hashicorp.repo
        state: absent
    - name: install vagrant
      ansible.builtin.dnf:
        name: vagrant
        state: absent
